package co.yixiang.yshop.module.shop.convert.shopassistant;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import co.yixiang.yshop.module.shop.controller.admin.shopassistant.vo.ShopAssistantCreateReqVO;
import co.yixiang.yshop.module.shop.controller.admin.shopassistant.vo.ShopAssistantExcelVO;
import co.yixiang.yshop.module.shop.controller.admin.shopassistant.vo.ShopAssistantRespVO;
import co.yixiang.yshop.module.shop.controller.admin.shopassistant.vo.ShopAssistantUpdateReqVO;
import co.yixiang.yshop.module.shop.dal.dataobject.shopassistant.ShopAssistantDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 门店店员 Convert
 *
 * @author admin
 */
@Mapper
public interface ShopAssistantConvert {

    ShopAssistantConvert INSTANCE = Mappers.getMapper(ShopAssistantConvert.class);

    ShopAssistantDO convert(ShopAssistantCreateReqVO bean);

    ShopAssistantDO convert(ShopAssistantUpdateReqVO bean);

    ShopAssistantRespVO convert(ShopAssistantDO bean);

    List<ShopAssistantRespVO> convertList(List<ShopAssistantDO> list);

    PageResult<ShopAssistantRespVO> convertPage(PageResult<ShopAssistantDO> page);

    List<ShopAssistantExcelVO> convertList02(List<ShopAssistantDO> list);

}
